/// <reference types="react" />
import { ICellHeader } from '@jupyterlab/cells';
import { CommandRegistry } from '@lumino/commands';
import { ReactPortalWidget } from '../../../lumino/ReactPortalWidget';
export declare const DATALAYER_CELL_SIDEBAR_CLASS_NAME = "dla-CellSidebar-Container";
export type ICellSidebarProps = {
    notebookId: string;
    cellNodeId: string;
    command: CommandRegistry;
    nbgrader: boolean;
};
export declare class CellSidebarWidget extends ReactPortalWidget implements ICellHeader {
    private readonly _commands;
    constructor(CellSidebar: (props: ICellSidebarProps) => JSX.Element, notebookId: string, nbgrader: boolean, commands: CommandRegistry);
}
export default CellSidebarWidget;
