import { jsx as _jsx } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { createRoot } from 'react-dom/client';
import { Jupyter } from '../jupyter/Jupyter';
import { Notebook } from '../components/notebook/Notebook';
import { NotebookToolbar } from './../components/notebook/toolbar/NotebookToolbar';
import { CellSidebar } from '../components/notebook/cell/sidebar/CellSidebar';
const ObservableHQ = () => (_jsx(Jupyter, { defaultKernelName: "deno", children: _jsx(Notebook, { path: "deno/display-js/Observable Plot.ipynb", height: "calc(100vh - 2.6rem)" // (Height - Toolbar Height).
        , cellSidebarMargin: 120, CellSidebar: CellSidebar, Toolbar: NotebookToolbar }) }));
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(ObservableHQ, {}));
//# sourceMappingURL=ObservableHQ.js.map