import { ITerminal } from '@jupyterlab/terminal';
export declare const Terminal: {
    (props: Terminal.ITerminalOptions): import("react/jsx-runtime").JSX.Element;
    defaultProps: Partial<Terminal.ITerminalOptions>;
};
export declare namespace Terminal {
    interface ITerminalOptions {
        height?: string;
        colormode?: ITerminal.Theme;
        /**
         * Code to be executed at terminal startup
         */
        initCode?: string;
    }
}
export default Terminal;
