import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { createRoot } from 'react-dom/client';
import { Box } from '@primer/react';
import { JupyterReactTheme } from '../theme/JupyterReactTheme';
import Cell from '../components/cell/Cell';
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsxs(JupyterReactTheme, { children: [_jsx(Box, { as: "h1", children: "Jupyter Cells wrapped in a single Jupyter Context" }), _jsx(Cell, { id: "cell-1", source: "x=1" }), _jsx(Cell, { id: "cell-2", source: "print(x)" }), _jsx(Cell, { id: "cell-3", source: `import random

r = random.randint(0,9)` }), _jsx(Cell, { source: "print(f'Random integer: {r}')" })] }));
//# sourceMappingURL=Cells.js.map