/// <reference types="react" />
import { INotebookModel, NotebookPanel } from '@jupyterlab/notebook';
import { DocumentRegistry } from '@jupyterlab/docregistry';
import { DatalayerNotebookExtension, IDatalayerNotebookExtensionProps } from '../../../components';
import './CellToolbarExtension.css';
export declare class CellToolbarExtension implements DatalayerNotebookExtension {
    private _props?;
    init(props: IDatalayerNotebookExtensionProps): void;
    createNew(notebookPanel: NotebookPanel, context: DocumentRegistry.IContext<INotebookModel>): void;
    get component(): JSX.Element | undefined;
}
export default CellToolbarExtension;
